GET api/pcapi/pc/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PCViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_id

globally unique identifier

None.

db_login

string

String length: inclusive between 0 and 50

db_name

string

String length: inclusive between 0 and 50

db_password

string

String length: inclusive between 0 and 50

db_source

string

String length: inclusive between 0 and 50

id

globally unique identifier

None.

local_ip

string

String length: inclusive between 0 and 15

lock_id

globally unique identifier

None.

mac_address

string

Required

String length: inclusive between 0 and 30

name

string

String length: inclusive between 0 and 100

pc_type_id

globally unique identifier

None.

rights

Collection of ShortRightViewModel

None.

site_id

globally unique identifier

None.

zone_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_id": "527e1e4e-e398-498f-83fd-4d4ef0f0c820",
  "db_login": "sample string 2",
  "db_name": "sample string 3",
  "db_password": "sample string 4",
  "db_source": "sample string 5",
  "id": "e00abf5a-e649-43e2-b419-34482781f0d6",
  "local_ip": "sample string 7",
  "lock_id": "e7adb162-b739-45e8-8bd2-2d75554469b1",
  "mac_address": "sample string 8",
  "name": "sample string 9",
  "pc_type_id": "7608c59c-835d-4776-ae47-f26de66a3b96",
  "rights": [
    {
      "code": "sample string 1",
      "id": "7d3cc7ca-31cb-4d9e-9322-6adb563b2e24"
    },
    {
      "code": "sample string 1",
      "id": "7d3cc7ca-31cb-4d9e-9322-6adb563b2e24"
    }
  ],
  "site_id": "5b9c5a11-aa1a-4ac9-a4cf-488380fcdb82",
  "zone_id": "9df0f92b-c3d2-4196-8164-b7a53b24335b"
}

application/xml, text/xml

Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_id>527e1e4e-e398-498f-83fd-4d4ef0f0c820</cleanroom_id>
  <db_login>sample string 2</db_login>
  <db_name>sample string 3</db_name>
  <db_password>sample string 4</db_password>
  <db_source>sample string 5</db_source>
  <id>e00abf5a-e649-43e2-b419-34482781f0d6</id>
  <local_ip>sample string 7</local_ip>
  <lock_id>e7adb162-b739-45e8-8bd2-2d75554469b1</lock_id>
  <mac_address>sample string 8</mac_address>
  <name>sample string 9</name>
  <pc_type_id>7608c59c-835d-4776-ae47-f26de66a3b96</pc_type_id>
  <rights>
    <right>
      <ID>7d3cc7ca-31cb-4d9e-9322-6adb563b2e24</ID>
      <code>sample string 1</code>
    </right>
    <right>
      <ID>7d3cc7ca-31cb-4d9e-9322-6adb563b2e24</ID>
      <code>sample string 1</code>
    </right>
  </rights>
  <site_id>5b9c5a11-aa1a-4ac9-a4cf-488380fcdb82</site_id>
  <zone_id>9df0f92b-c3d2-4196-8164-b7a53b24335b</zone_id>
</pc>